coreEngine.Calibration.Organisms

## Class HybridDemandOrg

- java.lang.Object
- - coreEngine.Calibration.Organism
  - - coreEngine.Calibration.Organisms.HybridDemandOrg

- Direct Known Subclasses:
    HybridDemandCDPOrg

      public class HybridDemandOrg
      extends Organism

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Profile[][]` | `adjFactors`
    `static boolean` | `NDIST_EST`
    `protected int` | `numPer`
    `protected int` | `numSeg`
    `static boolean` | `PROFILE_BASED`

    - ### Fields inherited from class coreEngine.Calibration.Organism

      `alg, capacityDropPct, fitness, FITNESS_TYPE, FITNESS_TYPE2, geometry, multiFitness, mutationPct, numProfiles, profileMapping, scenIdx, seedIdx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HybridDemandOrg(GeneticAlgorithm alg, int dim1, int dim2)`
    `HybridDemandOrg(GeneticAlgorithm alg, int seedIdx, int dim1, int dim2)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `applyMeme()`
    `void` | `assignAFToSeed(int seg, int per)`
    `void` | `calcFitness()`
    `protected void` | `calcMultiFitness()`
    `protected void` | `calcSingleFitness()`
    `Organism[]` | `crossover(Organism mate)`
    `float` | `getAF(int type, int seg, int per)`
    `HybridDemandOrg` | `getChildOrg(Profile[][] adjFactors)`
    `Organism` | `getDeepCopy()`
    `int` | `getDim1()`
    `int` | `getDim2()`
    `float[]` | `getEncodingArray(int period)`
    `java.lang.String` | `getEncodingString()`
    `Profile` | `getProfile(int seg, int afType)`
    `void` | `mutate()`
    `void` | `setAFs(Profile[][] afArr)`
    `static void` | `setBinDigits(int numBinDigits)`

    - ### Methods inherited from class coreEngine.Calibration.Organism

      `checkFitnessDiversity, getFitness, getScenarioIndex, getSeedBaseFitness, getSeedIdx, setGeometry, setScenarioIndex, setSeedIdx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numSeg

          protected final int numSeg

    - #### numPer

          protected final int numPer

    - #### adjFactors

          protected final Profile[][] adjFactors

    - #### PROFILE_BASED

          public static final boolean PROFILE_BASED

      See Also:
        Constant Field Values

    - #### NDIST_EST

          public static final boolean NDIST_EST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HybridDemandOrg

          public HybridDemandOrg(GeneticAlgorithm alg,
                                 int dim1,
                                 int dim2)

    - #### HybridDemandOrg

          public HybridDemandOrg(GeneticAlgorithm alg,
                                 int seedIdx,
                                 int dim1,
                                 int dim2)

  - ### Method Detail

    - #### getChildOrg

          public HybridDemandOrg getChildOrg(Profile[][] adjFactors)

    - #### setAFs

          public void setAFs(Profile[][] afArr)

    - #### assignAFToSeed

          public void assignAFToSeed(int seg,
                                     int per)

      Specified by:
        `assignAFToSeed` in class `Organism`

    - #### calcFitness

          public void calcFitness()

      Specified by:
        `calcFitness` in class `Organism`

    - #### calcSingleFitness

          protected void calcSingleFitness()

    - #### calcMultiFitness

          protected void calcMultiFitness()

    - #### getAF

          public float getAF(int type,
                             int seg,
                             int per)

    - #### getEncodingArray

          public float[] getEncodingArray(int period)

      Specified by:
        `getEncodingArray` in class `Organism`

    - #### mutate

          public void mutate()

      Specified by:
        `mutate` in class `Organism`

    - #### getDeepCopy

          public Organism getDeepCopy()

      Specified by:
        `getDeepCopy` in class `Organism`

    - #### crossover

          public Organism[] crossover(Organism mate)

      Specified by:
        `crossover` in class `Organism`
      Returns:

    - #### getEncodingString

          public java.lang.String getEncodingString()

      Specified by:
        `getEncodingString` in class `Organism`

    - #### applyMeme

          public int applyMeme()

      Specified by:
        `applyMeme` in class `Organism`

    - #### getDim1

          public int getDim1()

    - #### getDim2

          public int getDim2()

    - #### getProfile

          public Profile getProfile(int seg,
                                    int afType)

    - #### setBinDigits

          public static void setBinDigits(int numBinDigits)